package mv3302;

import simkit.Entity;

/**
 * Instantiates a Part by extending the Entity Simkit base. Tracks the value of
 * the totalDelayInQueue.
 *
 */
public class Part extends Entity {

    private double totalDelayInQueue;
    private int next;

    /**
     * Zero Argument constructor method that makes a call to it's super.
     * Initializes the value of the parts delay in queue time to 0.
     *
     */
    public Part() {
        this.totalDelayInQueue = 0.0;
    }

    /**
     * Returns the totalDelayInQueue value
     *
     * @return
     */
    public double getTotalDelayInQueue() {
        return this.totalDelayInQueue;
    }

    public void advance() {
        this.next += 1;
    }

    /**
     * Method passes in the increment delay value and adds it to the
     * totalDelayInQueue variable
     */
    public void incrementDelayInQueue(double incrementDelay) {
        this.totalDelayInQueue += incrementDelay;
    }
}
